#ifndef _TITANIUM_CODE_UTIL_H_
#define _TITANIUM_CODE_UTIL_H_

#include <string>

class MethodCallNode;
class TreeNode;


extern char arithCall(const TreeNode *t);
extern bool isGridMethod(MethodCallNode *t);
extern bool isGridMethod_domain(TreeNode *t);
extern bool isGridMethodMutating(MethodCallNode *t);
extern bool tiOrNumericType(const TreeNode *t);
extern bool isOFAN(const TreeNode *t);
extern bool isTypeFAN(const TreeNode *t);
extern bool isThisFAN(const TreeNode *t);
extern bool isSFAN(const TreeNode *t);
extern bool isNameNode(const TreeNode *t);
extern bool isCastNode(const TreeNode *t);
extern bool isTypeNameNode(const TreeNode *t);
extern bool isThisNode(const TreeNode *t);
extern bool isObjectNode(const TreeNode *t);
extern bool isForEachStmtNode(const TreeNode *t);
extern bool isForEachPairNode(const TreeNode *t);
extern bool isMethodCallNode(const TreeNode *t);
extern bool isPointNode(const TreeNode *t);
bool isMethodDeclNode(const TreeNode *t);
bool isTreeListNode(const TreeNode *t);
bool isClassDeclNode(const TreeNode *t);
bool isCompileUnitNode(const TreeNode *t);
bool isBlockNode(const TreeNode *t);
bool isOmittedNode(const TreeNode *t);
bool isVarDeclNode(const TreeNode *t);
bool isAssignNode(const TreeNode *t);
bool isSynchronizedNode(const TreeNode *t);
bool isParameterNode (const TreeNode *t);

#endif /* _TITANIUM_CODE_UTIL_H_ */
