typedef union {
    SimpTerminalInfo SimpTerminal;  	/* Terminal symbols with only position. */
    TerminalInfo Terminal;		/* Terminal symbols with ASCII string data. */
    StrTerminalInfo StrTerminal;	/* Terminal symbols with Unicode string data. */
    CharTerminalInfo CharTerminal;	/* Terminal symbols with Unicode char data. */
    long Int;				/* Simple integer values */
    bool Bool;
    TreeNode* Tree;
    TypeNode* Type;
    CatchNode* Catch;
    llist<TreeNode*>* TreeList;
    llist<TypeNode*>* TypeList;
    llist<CatchNode*>* CatchList;
    Common::Modifiers Modifiers;
    llist<DeclaratorTuple>* DeclaratorList;
    TryNode *Try;
} YYSTYPE;
#define	ABSTRACT	257
#define	BOOLEAN	258
#define	BREAK	259
#define	BROADCAST	260
#define	BYTE	261
#define	CASE	262
#define	CATCH	263
#define	CHAR	264
#define	CLASS	265
#define	CONTINUE	266
#define	DEFAULT	267
#define	DO	268
#define	DOUBLE	269
#define	_DOMAIN	270
#define	ELSE	271
#define	EXTENDS	272
#define	FINAL	273
#define	FINALLY	274
#define	FLOAT	275
#define	FOR	276
#define	FROM	277
#define	FOREACH	278
#define	IF	279
#define	IMPLEMENTS	280
#define	IMPORT	281
#define	INSTANCEOF	282
#define	INT	283
#define	INTERFACE	284
#define	IMMUTABLE	285
#define	IN	286
#define	INLINE	287
#define	LOCAL	288
#define	LONG	289
#define	NATIVE	290
#define	NEW	291
#define	_NULL	292
#define	OPERATOR	293
#define	OVERLAP	294
#define	_PACKAGE	295
#define	PRIVATE	296
#define	PROTECTED	297
#define	PUBLIC	298
#define	PARTITION	299
#define	POINT	300
#define	RECTDOMAIN	301
#define	RETURN	302
#define	SHORT	303
#define	STATIC	304
#define	SUPER	305
#define	SWITCH	306
#define	SYNCHRONIZED	307
#define	SINGLE	308
#define	SGLOBAL	309
#define	THIS	310
#define	THROW	311
#define	THROWS	312
#define	TRANSIENT	313
#define	TRY	314
#define	VOID	315
#define	VOLATILE	316
#define	WHILE	317
#define	TRUE	318
#define	FALSE	319
#define	IDENTIFIER	320
#define	INT_LITERAL	321
#define	LONG_LITERAL	322
#define	FLOAT_LITERAL	323
#define	DOUBLE_LITERAL	324
#define	CHARACTER_LITERAL	325
#define	STRING_LITERAL	326
#define	CAND	327
#define	COR	328
#define	EQ	329
#define	NE	330
#define	LE	331
#define	GE	332
#define	LSHIFTL	333
#define	ASHIFTR	334
#define	LSHIFTR	335
#define	PLUS_ASG	336
#define	MINUS_ASG	337
#define	MULT_ASG	338
#define	DIV_ASG	339
#define	REM_ASG	340
#define	LSHIFTL_ASG	341
#define	ASHIFTR_ASG	342
#define	LSHIFTR_ASG	343
#define	AND_ASG	344
#define	XOR_ASG	345
#define	OR_ASG	346
#define	PLUSPLUS	347
#define	MINUSMINUS	348
#define	GUARDS	349


extern YYSTYPE yylval;
