#ifndef _include_comm_h_
#define _include_comm_h_

#include "config.h"
#include "backend.h"
#include "primitives.h"
#include "runtime-options.h"
#include "libsplit-c.h"

#define ti_write_sync() write_sync()
#define ti_read_sync()  read_sync()
#define ti_sync()       sync()

#define ti_bulk_read(d_addr, s_proc, s_addr, size) \
  bulk_read(d_addr, ___create_global_ptr(s_proc, s_addr), size)
#define ti_bulk_write_weak(d_proc, d_addr, s_addr, size) \
  bulk_put(___create_global_ptr(d_proc, d_addr), s_addr, size)
#define ti_bulk_write(d_proc, d_addr, s_addr, size) \
  bulk_write(___create_global_ptr(d_proc, d_addr), s_addr, size)

#endif /* _include_comm_h_ */
