#ifndef _include_bcast_simple_h_
#define _include_bcast_simple_h_

#include "backend.h"
#include "bcast-common.h"


#define BROADCAST_SEND( result, type, value )		\
  do {							\
    BUFFER = (value);					\
    barrier();						\
    (result) = (value);					\
  } while (0)


#define BROADCAST_RECEIVE( result, type, sender )	\
  do {							\
    GP_type( type ) remote;				\
    TO_GLOBAL( remote, (sender), (type *) &BUFFER );	\
    barrier();						\
    DEREF_GLOBAL( (result), remote );			\
  } while (0)


#define BROADCAST_END( result, type, sender )  (CYCLE = !CYCLE)


#endif /* !_include_bcast_simple_h_ */
