#include "ti_array_flags.h"


#ifndef ti_ARRAY
# error ti_ARRAY undefined
#endif /* !ti_ARRAY */

#ifndef ti_RECTDOMAIN
# error ti_RECTDOMAIN undefined
#endif /* !ti_RECTDOMAIN */

#ifndef PTR_TO_T
# error PTR_TO_T undefined
#endif /* !PTR_TO_T */



struct ti_ARRAY {
#if DUMPABLE_ARRAYS
  void (*dumpfn)();
#endif
  ti_RECTDOMAIN domain;  /* The domain of the array */
  jint stride[N];        /* The stride of original domain for index calc. */
  jint base[N];          /* The lower bound of domain */
  int sideFactors[N];    /* Used in the address calculation */
  PTR_TO_T A;
  PTR_TO_T ancestor;
  const char *where;     /* where (in source code) the array was created */
#if EXPLICITLY_STORE_CREATOR
  jint creator;
#endif
};
